#ifndef __SYSTEM_C
#define __SYSTEM_C

// Includes -----------------------------------------------------------------------------------------------------------

#include <Compiler.h>
#include "HardwareProfile.h"
#include "system.h"
#include "usb_cdc.h"
#include "usb_hid.h"

// Function Definitions -----------------------------------------------------------------------------------------------

/**
 * InitializeSystem
 */
void InitializeSystem(void)
{
    SYSTEMConfigPerformance(SYS_FREQ);

    mInitLEDs();
    mInitButtons();

    unsigned char i;
    for (i = 0; i < sizeof(USB_Out_Buffer); i++) {
        USB_Out_Buffer[i] = 0;
    }
    
    NextUSBOut = 0;
    LastRS232Out = 0;
    lastTransmission = 0;

    USBDeviceInit();
}

#endif
