#ifndef __USB_HID_H
#define	__USB_HID_H

// Includes -----------------------------------------------------------------------------------------------------------

#include "USB/usb.h"

// Defines ------------------------------------------------------------------------------------------------------------

#define INPUT_CONTROLS_ADDRESS_TAG
#define HID_REPORT_ADDRESS_TAG

// Variable Declarations ----------------------------------------------------------------------------------------------

typedef union _INTPUT_CONTROLS_TYPEDEF {
    struct {
        struct {
            BYTE one:1;
            BYTE two:1;
            BYTE :6; // Filler
        } buttons;
    } members;
} INPUT_CONTROLS;

USB_HANDLE lastTransmission;
INPUT_CONTROLS joystick_input INPUT_CONTROLS_ADDRESS_TAG;
BYTE hid_report[8] HID_REPORT_ADDRESS_TAG;

#endif
